Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageWriter Class Reference

`#include <vtkImageWriter.h>`

Inheritance diagram for vtkImageWriter:

[legend]
Collaboration diagram for vtkImageWriter:

[legend]
List of all members.

## Detailed Description

Writes images to files.

Date:
  2002/05/31 23:12:41

Revision:
  1.32

vtkImageWriter writes images to files with any data type. The data type of the file is the same scalar type as the input. The dimensionality determines whether the data will be written in one or multiple files. This class is used as the superclass of most image writing classes such as vtkBMPWriter etc. It supports streaming.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (49%)
  - Law, Charles (32%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkImageWriter.cxx)`
  - .`h` (`/IO/vtkImageWriter.h)`

Definition at line 48 of file vtkImageWriter.h.

## Public Types
typedef vtkProcessObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Write ()
void | SetFileName (const char *)
virtual char * | GetFileName ()
void | SetFilePrefix (char *filePrefix)
virtual char * | GetFilePrefix ()
void | SetFilePattern (const char *filePattern)
virtual char * | GetFilePattern ()
virtual void | SetFileDimensionality (int)
virtual int | GetFileDimensionality ()
virtual void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
vtkImageWriter * | New ()
int | IsTypeOf (const char *type)
vtkImageWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageWriter ()
| ~vtkImageWriter ()
virtual void | RecursiveWrite (int dim, vtkImageData *region, ofstream *file)
virtual void | RecursiveWrite (int dim, vtkImageData *cache, vtkImageData *data, ofstream *file)
virtual void | WriteFile (ofstream *file, vtkImageData *data, int extent[6])
virtual void | WriteFileHeader (ofstream *, vtkImageData *)
virtual void | WriteFileTrailer (ofstream *, vtkImageData *)
## Protected Attributes
int | FileDimensionality
char * | FilePrefix
char * | FilePattern
char * | FileName
int | FileNumber
int | FileLowerLeft
char * | InternalFileName

## Member Typedef Documentation

typedef vtkProcessObject vtkImageWriter::Superclass

| Reimplemented from vtkProcessObject. Reimplemented in vtkBMPWriter, vtkJPEGWriter, vtkPNGWriter, vtkPNMWriter, vtkPostScriptWriter, vtkTIFFWriter, and vtkPImageWriter. Definition at line 52 of file vtkImageWriter.h.

## Constructor & Destructor Documentation

vtkImageWriter::vtkImageWriter | ( |  | ) | `[protected]`

vtkImageWriter::~vtkImageWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageWriter* vtkImageWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkBMPWriter, vtkJPEGWriter, vtkPNGWriter, vtkPNMWriter, vtkPostScriptWriter, vtkTIFFWriter, and vtkPImageWriter.

virtual const char* vtkImageWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkBMPWriter, vtkJPEGWriter, vtkPNGWriter, vtkPNMWriter, vtkPostScriptWriter, vtkTIFFWriter, and vtkPImageWriter.

int vtkImageWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkBMPWriter, vtkJPEGWriter, vtkPNGWriter, vtkPNMWriter, vtkPostScriptWriter, vtkTIFFWriter, and vtkPImageWriter.

virtual int vtkImageWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkBMPWriter, vtkJPEGWriter, vtkPNGWriter, vtkPNMWriter, vtkPostScriptWriter, vtkTIFFWriter, and vtkPImageWriter.

vtkImageWriter* vtkImageWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkBMPWriter, vtkJPEGWriter, vtkPNGWriter, vtkPNMWriter, vtkPostScriptWriter, vtkTIFFWriter, and vtkPImageWriter.

void vtkImageWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject. Reimplemented in vtkBMPWriter, vtkJPEGWriter, vtkPNGWriter, vtkPNMWriter, vtkPostScriptWriter, vtkTIFFWriter, and vtkPImageWriter.

void vtkImageWriter::SetFileName | ( | const char * |  | ) |

| Specify file name for the image file. You should specify either a FileName or a FilePrefix. Use FilePrefix if the data is stored in multiple files.

virtual char* vtkImageWriter::GetFileName | ( |  | ) | `[virtual]`

| Specify file name for the image file. You should specify either a FileName or a FilePrefix. Use FilePrefix if the data is stored in multiple files.

void vtkImageWriter::SetFilePrefix | ( | char * | filePrefix | ) |

| Specify file prefix for the image file(s).You should specify either a FileName or FilePrefix. Use FilePrefix if the data is stored in multiple files.

virtual char* vtkImageWriter::GetFilePrefix | ( |  | ) | `[virtual]`

| Specify file prefix for the image file(s).You should specify either a FileName or FilePrefix. Use FilePrefix if the data is stored in multiple files.

void vtkImageWriter::SetFilePattern | ( | const char * | filePattern | ) |

| The sprintf format used to build filename from FilePrefix and number.

virtual char* vtkImageWriter::GetFilePattern | ( |  | ) | `[virtual]`

| The sprintf format used to build filename from FilePrefix and number.

virtual void vtkImageWriter::SetFileDimensionality | ( | int |  | ) | `[virtual]`

| What dimension are the files to be written. Usually this is 2, or 3. If it is 2 and the input is a volume then the volume will be written as a series of 2d slices.

virtual int vtkImageWriter::GetFileDimensionality | ( |  | ) | `[virtual]`

| What dimension are the files to be written. Usually this is 2, or 3. If it is 2 and the input is a volume then the volume will be written as a series of 2d slices.

virtual void vtkImageWriter::SetInput | ( | vtkImageData * | input | ) | `[virtual]`

| Set/Get the input object from the image pipeline.

vtkImageData* vtkImageWriter::GetInput | ( |  | ) |

| Set/Get the input object from the image pipeline.

virtual void vtkImageWriter::Write | ( |  | ) | `[virtual]`

| The main interface which triggers the writer to start. Reimplemented in vtkJPEGWriter, and vtkPNGWriter.

virtual void vtkImageWriter::RecursiveWrite | ( | int | dim,
|  | vtkImageData * | region,
|  | ofstream * | file
| ) | `[protected, virtual]`

| Reimplemented in vtkPImageWriter. Referenced by vtkPImageWriter::RecursiveWrite().

virtual void vtkImageWriter::RecursiveWrite | ( | int | dim,
|  | vtkImageData * | cache,
|  | vtkImageData * | data,
|  | ofstream * | file
| ) | `[protected, virtual]`

| Reimplemented in vtkPImageWriter.

virtual void vtkImageWriter::WriteFile | ( | ofstream * | file,
|  | vtkImageData * | data,
|  | int | extent[6]
| ) | `[protected, virtual]`

| Reimplemented in vtkBMPWriter, vtkPNMWriter, vtkPostScriptWriter, and vtkTIFFWriter.

virtual void vtkImageWriter::WriteFileHeader | ( | ofstream * | ,
|  | vtkImageData * |
| ) | `[inline, protected, virtual]`

| Reimplemented in vtkBMPWriter, vtkPNMWriter, vtkPostScriptWriter, and vtkTIFFWriter. Definition at line 110 of file vtkImageWriter.h.

virtual void vtkImageWriter::WriteFileTrailer | ( | ofstream * | ,
|  | vtkImageData * |
| ) | `[inline, protected, virtual]`

| Reimplemented in vtkPostScriptWriter. Definition at line 111 of file vtkImageWriter.h.

## Member Data Documentation

int vtkImageWriter::FileDimensionality`[protected]`

| Definition at line 98 of file vtkImageWriter.h.

char* vtkImageWriter::FilePrefix`[protected]`

| Definition at line 99 of file vtkImageWriter.h.

char* vtkImageWriter::FilePattern`[protected]`

| Definition at line 100 of file vtkImageWriter.h.

char* vtkImageWriter::FileName`[protected]`

| Definition at line 101 of file vtkImageWriter.h.

int vtkImageWriter::FileNumber`[protected]`

| Definition at line 102 of file vtkImageWriter.h.

int vtkImageWriter::FileLowerLeft`[protected]`

| Definition at line 103 of file vtkImageWriter.h.

char* vtkImageWriter::InternalFileName`[protected]`

| Definition at line 104 of file vtkImageWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkImageWriter.h